;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;------------------------------------------------------------------------------
;-| AI |--------------------------------------------------------------

[Command]
Name    = "AI_00"
Command =  a, a
Time = 0
[Command]
Name    = "AI_01"
Command =  a, b
Time = 0
[Command]
Name    = "AI_02"
Command =  a, c
Time = 0
[Command]
Name    = "AI_03"
Command =  a, x
Time = 0
[Command]
Name    = "AI_04"
Command =  a, y
Time = 0
[Command]
Name    = "AI_05"
Command =  a, z
Time = 0
[Command]
Name    = "AI_06"
Command =  a, s
Time = 0
[Command]
Name    = "AI_07"
Command =  b, a
Time = 0
[Command]
Name    = "AI_08"
Command =  b, b
Time = 0
[Command]
Name    = "AI_09"
Command =  b, c
Time = 0
[Command]
Name    = "AI_10"
Command =  b, x
Time = 0
[Command]
Name    = "AI_11"
Command =  b, y
Time = 0
[Command]
Name    = "AI_12"
Command =  b, z
Time = 0
[Command]
Name    = "AI_13"
Command =  b, s
Time = 0
[Command]
Name    = "AI_14"
Command =  c, a
Time = 0
[Command]
Name    = "AI_15"
Command =  c, b
Time = 0
[Command]
Name    = "AI_16"
Command =  c, c
Time = 0
[Command]
Name    = "AI_17"
Command =  c, x
Time = 0
[Command]
Name    = "AI_18"
Command =  c, y
Time = 0
[Command]
Name    = "AI_19"
Command =  c, z
Time = 0
[Command]
Name    = "AI_20"
Command =  c, s
Time = 0
[Command]
Name    = "AI_21"
Command =  x, a
Time = 0
[Command]
Name    = "AI_22"
Command =  x, b
Time = 0
[Command]
Name    = "AI_23"
Command =  x, c
Time = 0
[Command]
Name    = "AI_24"
Command =  x, x
Time = 0
[Command]
Name    = "AI_25"
Command =  x, y
Time = 0
[Command]
Name    = "AI_26"
Command =  x, z
Time = 0
[Command]
Name    = "AI_27"
Command =  x, s
Time = 0
[Command]
Name    = "AI_28"
Command =  y, a
Time = 0
[Command]
Name    = "AI_29"
Command =  y, b
Time = 0
[Command]
Name    = "AI_30"
Command =  y, c
Time = 0
[Command]
Name    = "AI_31"
Command =  y, x
Time = 0
[Command]
Name    = "AI_32"
Command =  y, y
Time = 0
[Command]
Name    = "AI_33"
Command =  y, z
Time = 0
[Command]
Name    = "AI_34"
Command =  y, s
Time = 0
[Command]
Name    = "AI_35"
Command =  s, a
Time = 0
[Command]
Name    = "AI_36"
Command =  s, b
Time = 0
[Command]
Name    = "AI_37"
Command =  s, c
Time = 0
[Command]
Name    = "AI_38"
Command =  s, x
Time = 0
[Command]
Name    = "AI_39"
Command =  s, y
Time = 0
[Command]
Name    = "AI_40"
Command =  s, z
Time = 0
[Command]
Name    = "AI_41"
Command =  s, s
Time = 0
[Command]
Name    = "AI_42"
Command =  U, U
Time = 0
[Command]
Name    = "AI_43"
Command =  U, F
Time = 0
[Command]
Name    = "AI_44"
Command =  y, c,z
Time = 0
[Command]
Name    = "AI_45"
Command =  y, x,z
Time = 0
[Command]
Name    = "AI_46"
Command =  y, y,z
Time = 0
[Command]
Name    = "AI_47"
Command =  y, z,z
Time = 0
[Command]
Name    = "AI_48"
Command =  y, s,z
Time = 0
[Command]
Name    = "AI_49"
Command =  s, a,z
Time = 0
[Command]
Name    = "AI_50"
Command =  s, b,x
Time = 0
[Command]
Name    = "AI_51"
Command =  s, c,z
Time = 0
[Command]
Name    = "AI_52"
Command =  s, x,z
Time = 0
[Command]
Name    = "AI_53"
Command =  s, c,z,a
Time = 0
[Command]
Name    = "AI_54"
Command =  s, x,z,a
Time = 0
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;-| Super Motions |--------------------------------------------------------
[Command]
name = "SE뎮EVp_"
command = ~D, DF, F, D, DF, F, x+y
time = 25


[Command]
name = "EXSE֓"
command = ~D, DB, B, DB, D, DF, F, x+y
time = 30

[Command]
name = "SE֓"
command = ~D, DB, B, DB, D, DF, F, y
time = 30

[Command]
name = "SE֓"
command = ~D, DB, B, DB, D, DF, F, x
time = 30



;-| Special Motions |------------------------------------------------------
[Command]
name = "EXS뎮EO"
command = ~B, D, DB, a+b

[Command]
name = "S뎮EO"
command = ~B, D, DB, b

[Command]
name = "S뎮EO"
command = ~B, D, DB, a


[Command]
name = "EXE܎E"
command = ~D, DF, F, a+b

[Command]
name = "E܎E"
command = ~D, DF, F, b

[Command]
name = "E܎E"
command = ~D, DF, F, a


[Command]
name = "EXSE󎮁EՌ z"
command = ~F, DF, D, DB, B, a+b
time = 20

[Command]
name = "SE󎮁EՌ z"
command = ~F, DF, D, DB, B, b
time = 20

[Command]
name = "SE󎮁EՌ z"
command = ~F, DF, D, DB, B, a
time = 20


[Command]
name = "EXSESĂ"
command = ~F, D, DF, x+y

[Command]
name = "SESĂ"
command = ~F, D, DF, y

[Command]
name = "SESĂ"
command = ~F, D, DF, x


[Command]
name = "EXSEŕ"
command = ~D, DF, F, x+y

[Command]
name = "SEŕ"
command = ~D, DF, F, y

[Command]
name = "SEŕ"
command = ~D, DF, F, x


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "ӂ΂"
command = c
time = 1

[Command]
name = "ӂ΂"
command = y+b
time = 1


[Command]
name = ""
command = x+a
time = 1

[Command]
name = ""
command = z
time = 1


[Command]
name = "HD[h"
command = y+a
time = 1


[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1



;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1


[Command]
name = "fobOpR}h"
command = ~D, D, s


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1



; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;MAXLZSE뎮EVp_
[State negathibu anngisshu]
type = ChangeState
value = 2500
TriggerAll = var(59) < 1
triggerall = (command = "SE뎮EVp_") || (var(38) = 70 && var(40) > 0)
triggerall = (power >= 2000 && var(21) > 0)
trigger1 = stateno = 2005 && animelem = 12,>=0
trigger2 = stateno = 2055 && animelem = 12,>=0

;---------------------------------------------------------------------------
;SE뎮EVp_
[State negathibu anngisshu]
type = ChangeState
value = 2500
TriggerAll = var(59) < 1
triggerall = (command = "SE뎮EVp_") || (var(38) = 70 && var(40) > 0)
triggerall = statetype != A
triggerall = (power >= 3000 && var(20) >= 1000) || (power >= 2000 && var(21) > 0)
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;HDLZ
trigger12= stateno = 1000
trigger12= var(21) > 0
trigger13= stateno = 1050
trigger13= var(21) > 0
trigger14= stateno = 1100 && movecontact
trigger14= var(21) > 0
trigger15= stateno = 1150 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1010 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1205 && movecontact
trigger17= var(21) > 0

;HDʏZLZ
trigger18= stateno = [200,499]
trigger18= movecontact
trigger18= var(21) > 0




;---------------------------------------------------------------------------
;EX󒆗SE֓
[State negathibu anngisshu]
type = ChangeState
value = 2150
TriggerAll = var(59) < 1
triggerall = (command = "EXSE֓") || (var(38) = 65 && var(40) > 0)
triggerall = statetype = A
triggerall = power >= 2000
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;X[p[LZ
trigger3 = stateno = 1100 && movehit
trigger3 = var(20) >= 500
trigger3 = var(21) = 0
trigger4 = stateno = 1150 && movehit
trigger4 = var(20) >= 500
trigger4 = var(21) = 0
trigger5 = stateno = 1400 && movehit
trigger5 = var(20) >= 500
trigger5 = var(21) = 0
trigger6 = stateno = 1450 && movehit
trigger6 = var(20) >= 500
trigger6 = var(21) = 0

;HDLZ
trigger7 = stateno = 1100 && movecontact
trigger7 = var(21) > 0
trigger8 = stateno = 1150 && movecontact
trigger8 = var(21) > 0
trigger9 = stateno = 1400 && movecontact
trigger9 = var(21) > 0
trigger10= stateno = 1450 && movecontact
trigger10= var(21) > 0


;---------------------------------------------------------------------------
;󒆗SE֓
[State negathibu anngisshu]
type = ChangeState
value = 2100
TriggerAll = var(59) < 1
triggerall = (command = "SE֓") || (var(38) = 60 && var(40) > 0)
triggerall = statetype = A
triggerall = power >= 1000
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;X[p[LZ
trigger3 = stateno = 1100 && movehit
trigger3 = var(20) >= 500
trigger3 = var(21) = 0
trigger4 = stateno = 1150 && movehit
trigger4 = var(20) >= 500
trigger4 = var(21) = 0
trigger5 = stateno = 1400 && movehit
trigger5 = var(20) >= 500
trigger5 = var(21) = 0
trigger6 = stateno = 1450 && movehit
trigger6 = var(20) >= 500
trigger6 = var(21) = 0

;HDLZ
trigger7 = stateno = 1100 && movecontact
trigger7 = var(21) > 0
trigger8 = stateno = 1150 && movecontact
trigger8 = var(21) > 0
trigger9 = stateno = 1400 && movecontact
trigger9 = var(21) > 0
trigger10= stateno = 1450 && movecontact
trigger10= var(21) > 0


;---------------------------------------------------------------------------
;EXSE֓
[State negathibu anngisshu]
type = ChangeState
value = 2050
TriggerAll = var(59) < 1
triggerall = (command = "EXSE֓") || (var(38) = 65 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 2000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;X[p[LZ
trigger12= stateno = 1000
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1050
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1100 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1150 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1205 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0

;HDLZ
trigger17= stateno = 1000
trigger17= var(21) > 0
trigger18= stateno = 1050
trigger18= var(21) > 0
trigger19= stateno = 1100 && movecontact
trigger19= var(21) > 0
trigger20= stateno = 1150 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1010 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1205 && movecontact
trigger22= var(21) > 0

;HDʏZLZ
trigger23= stateno = [200,499]
trigger23= movecontact
trigger23= var(21) > 0



;---------------------------------------------------------------------------
;SE֓
[State negathibu anngisshu]
type = ChangeState
value = 2000
TriggerAll = var(59) < 1
triggerall = (command = "SE֓") || (var(38) = 60 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;X[p[LZ
trigger12= stateno = 1000
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1050
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1100 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1150 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1205 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0

;HDLZ
trigger17= stateno = 1000
trigger17= var(21) > 0
trigger18= stateno = 1050
trigger18= var(21) > 0
trigger19= stateno = 1100 && movecontact
trigger19= var(21) > 0
trigger20= stateno = 1150 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1010 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1205 && movecontact
trigger22= var(21) > 0

;HDʏZLZ
trigger23= stateno = [200,499]
trigger23= movecontact
trigger23= var(21) > 0



;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;EXS뎮EO
[State negathibu anngisshu]
type = ChangeState
value = 1450
TriggerAll = var(59) < 1
triggerall = (command = "EXS뎮EO") || (var(38) = 55 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0

;---------------------------------------------------------------------------
;S뎮EO
[State negathibu anngisshu]
type = ChangeState
value = 1400
TriggerAll = var(59) < 1
triggerall = (command = "S뎮EO") || (var(38) = 50 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0


;---------------------------------------------------------------------------
;EXE܎E
[State negathibu anngisshu]
type = ChangeState
value = 1350
TriggerAll = var(59) < 1
triggerall = (command = "EXE܎E") || (var(38) = 45 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0

;---------------------------------------------------------------------------
;E܎E
[State negathibu anngisshu]
type = ChangeState
value = 1300
TriggerAll = var(59) < 1
triggerall = (command = "E܎E") || (var(38) = 40 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0


;---------------------------------------------------------------------------
;EXSE󎮁EՌ z
[State negathibu anngisshu]
type = ChangeState
value = 1250
TriggerAll = var(59) < 1
triggerall = (command = "EXSE󎮁EՌ z") || (var(38) = 35 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0

;---------------------------------------------------------------------------
;SE󎮁EՌ z
[State negathibu anngisshu]
type = ChangeState
value = 1200
TriggerAll = var(59) < 1
triggerall = (command = "SE󎮁EՌ z") || (var(38) = 30 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 120500 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 120500 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0


;---------------------------------------------------------------------------
;EXSESĂ
[State negathibu anngisshu]
type = ChangeState
value = 1150
TriggerAll = var(59) < 1
triggerall = (command = "EXSESĂ") || (var(38) = 25 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 115000 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 115000 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0

;---------------------------------------------------------------------------
;SESĂ
[State negathibu anngisshu]
type = ChangeState
value = 1100
TriggerAll = var(59) < 1
triggerall = (command = "SESĂ") || (var(38) = 20 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && movecontact
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 110000 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 110000 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0



;---------------------------------------------------------------------------
;EXSEŕ
[State negathibu anngisshu]
type = ChangeState
value = 1050
TriggerAll = var(59) < 1
triggerall = (command = "EXSEŕ") || (var(38) = 15 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
triggerall = numhelper(1010) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && animelem = 6,>=0
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0

;---------------------------------------------------------------------------
;SEŕ
[State negathibu anngisshu]
type = ChangeState
value = 1000
TriggerAll = var(59) < 1
triggerall = (command = "SEŕ") || (var(38) = 10 && var(40) > 0)
triggerall = statetype != A
triggerall = numhelper(1010) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 210 && animelem = 5,>=0
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && animelem = 3,>=0
trigger6 = stateno = 251 && animelem = 6,>=0
trigger7 = stateno = 400 && animelem = 2,>=0
trigger8 = stateno = 410 && movecontact
trigger9 = stateno = 440 && animelem = 5,>=0
trigger10= stateno = 290 && animelem = 6,>=0
trigger11= stateno = 450 && movecontact && animelem = 6,<=0

;hCuLZ
trigger12= stateno = 1100 && movehit
trigger12= var(20) >= 500
trigger12= var(21) = 0
trigger13= stateno = 1150 && movehit
trigger13= var(20) >= 500
trigger13= var(21) = 0
trigger14= stateno = 1205 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0

;HDLZ
trigger15= stateno = 1100 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1150 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1010 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1205 && movecontact
trigger18= var(21) > 0

;HDʏZLZ
trigger19= stateno = [200,499]
trigger19= movecontact
trigger19= var(21) > 0


;===========================================================================
;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
TriggerAll = var(59) < 1
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
TriggerAll = var(59) < 1
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl


;---------------------------------------------------------------------------
;K[Lӂ΂U
[State ga-kyannhuttobasikougeki]
type = ChangeState
value = 299
triggerall = command = "ӂ΂"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151


;---------------------------------------------------------------------------
;󒆂ӂ΂U
[State kuuchuuhuttobasikougeki]
type = ChangeState
value = 690
TriggerAll = var(59) < 1
triggerall = command = "ӂ΂"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;ӂ΂U
[State huttobasikougeki]
type = ChangeState
value = 290
TriggerAll = var(59) < 1
triggerall = command = "ӂ΂"
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;K[L킵ړE
[State ga-kyannkawasiidou usiro]
type = ChangeState
value = 701
TriggerAll = var(59) < 1
triggerall = command = ""
triggerall = command = "holdback"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151

;---------------------------------------------------------------------------
;K[L킵ړEO
[State ga-kyannkawasiidou mae]
type = ChangeState
value = 700
TriggerAll = var(59) < 1
triggerall = command = ""
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151

;---------------------------------------------------------------------------
;킵ړE
[State kawasiidou usiro]
type = ChangeState
value = 701
TriggerAll = var(59) < 1
triggerall = command = ""
triggerall = command = "holdback"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;킵ړEO
[State kawasiidou mae]
type = ChangeState
value = 700
TriggerAll = var(59) < 1
triggerall = command = ""
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;_E
[State daunkaihi]
type = ChangeState
value = 702
triggerall = var(9) >= 1
triggerall = alive
triggerall = pos y >= 0
trigger1 = stateno = 5050
trigger2 = stateno = 5071
trigger3 = stateno = 5100


;---------------------------------------------------------------------------
;HD[h
[State huttobasikougeki]
type = ChangeState
value = 900
TriggerAll = var(59) < 1
triggerall = command = "HD[h"
triggerall = statetype != A
triggerall = var(20) >= 1000
trigger1 = ctrl

;---------------------------------------------------------------------------
;HD[hE
[State huttobasikougeki]
type = ChangeState
value = 901
TriggerAll = var(59) < 1
triggerall = command = "HD[h"
triggerall = statetype = A
triggerall = var(20) >= 1000
trigger1 = stateno = 50

;---------------------------------------------------------------------------
;HD[hELZ
[State huttobasikougeki]
type = ChangeState
value = 902
TriggerAll = var(59) < 1
triggerall = command = "HD[h"
triggerall = statetype != A
triggerall = var(20) >= 1000
triggerall = stateno = [200,499]
trigger1 = movecontact


;---------------------------------------------------------------------------
;ꙋw
[State deddo fo-ru]
type = ChangeState
value = 800
TriggerAll = var(59) < 1
triggerall = command = "y" || command = "b"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
triggerall = stateno != 100
trigger1 = p2bodydist X < 5
trigger1 = p2statetype != A
trigger1 = p2movetype != H

;===========================================================================

;---------------------------------------------------------------------------
;̔
[State tachijakupanchi]
type = ChangeState
value = 450
TriggerAll = var(59) < 1
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 3,>=0
trigger3 = stateno = 215 && movecontact
trigger4 = stateno = 400 && animelem = 2,>=0
trigger5 = stateno = 410 && movecontact
trigger6 = stateno = 440 && animelem = 5,>=0
trigger7 = stateno = 290 && animelem = 6,>=0


;---------------------------------------------------------------------------
;OE z
[State tachijakupanchi]
type = ChangeState
value = 251
TriggerAll = var(59) < 1
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = stateno = 200 && animelem = 3,>=0
trigger2 = stateno = 215 && movecontact
trigger3 = stateno = 400 && animelem = 2,>=0
trigger4 = stateno = 410 && movecontact
trigger5 = stateno = 440 && animelem = 5,>=0
trigger6 = stateno = 290 && animelem = 6,>=0

;---------------------------------------------------------------------------
;OE z
[State tachijakupanchi]
type = ChangeState
value = 250
TriggerAll = var(59) < 1
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;OEޗƂ
[State tachijakupanchi]
type = ChangeState
value = 650
TriggerAll = var(59) < 1
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1
trigger3 = stateno = 105


;---------------------------------------------------------------------------
;p`
[State tachijakupanchi]
type = ChangeState
value = 200
TriggerAll = var(59) < 1
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 400 && animelem = 3,>=0
trigger4 = stateno = 430 && animelem = 5,>=0

;---------------------------------------------------------------------------
;ߋp`
[State tachikyoupanchi]
type = ChangeState
value = 215
TriggerAll = var(59) < 1
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2dist X <=55 || p2bodydist x <= 10
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State tachikyoupanchi]
type = ChangeState
value = 210
TriggerAll = var(59) < 1
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State tachijakukikku]
type = ChangeState
value = 230
TriggerAll = var(59) < 1
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 430 && animelem = 6,>=0

;---------------------------------------------------------------------------
;LbN
[State ennkyoritachikyoukikku]
type = ChangeState
value = 240
TriggerAll = var(59) < 1
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;
[State chouhatu]
type = ChangeState
value = 199
TriggerAll = var(59) < 1
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Ⴊݎp`
[State tachijakupanchi]
type = ChangeState
value = 400
TriggerAll = var(59) < 1
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 400 && animelem = 4,>=0
trigger4 = stateno = 430 && animelem = 5,>=0

;---------------------------------------------------------------------------
;Ⴊ݋p`
[State tachijakupanchi]
type = ChangeState
value = 410
TriggerAll = var(59) < 1
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ႪݎLbN
[State shagamijakukikku]
type = ChangeState
value = 430
TriggerAll = var(59) < 1
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 430 && animelem = 6,>=0

;---------------------------------------------------------------------------
;Ⴊ݋LbN
[State shagamikyoukikku]
type = ChangeState
value = 440
TriggerAll = var(59) < 1
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;󒆎p`
[State kuuchuujakupanchi]
type = ChangeState
value = 600
TriggerAll = var(59) < 1
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;󒆋p`
[State kuuchuukyoupanchi]
type = ChangeState
value = 610
TriggerAll = var(59) < 1
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
TriggerAll = var(59) < 1
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
TriggerAll = var(59) < 1
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
[State -1, ]
type=helper
triggerall = !ishelper
triggerall = !NumHelper(40005)
triggerall = NumEnemy
trigger1 = var(43) <= 0 ;
trigger1 = Enemy(0),numproj > 0 ;
trigger2 = var(44)< Enemy(0),numhelper ;
trigger3 = var(45) <= 0 ;
trigger3 = Enemy(numenemy=2),numproj > 0 ;
trigger4 = var(46) < Enemy(numenemy=2),numhelper ;
helpertype=normal
name = "P-H"
stateno = 44444
ID = 44444
pos = 0,9999
keyctrl = 1
pausemovetime = 2147483647
supermovetime = 2147483647
persistent = 0

[State 30006, ];
type = null
triggerall = !ishelper
triggerall = NumEnemy
trigger1 = var(43) := Enemy(0),numproj
trigger2 = var(44) := Enemy(0),numhelper

[State 30006, ]
type = null
triggerall = !ishelper
triggerall = NumEnemy
trigger1 = var(45) := Enemy(numenemy=2),numproj
trigger2 = var(46) := Enemy(numenemy=2),numhelper

